Jump to content

How do you make a trapezoid?


edowney

Recommended Posts

Ok, obviously a newbie question. I want to create a trapezoid and be able to specify things like the angle at the right and left bottom base, the bottom base and the leg lengths. Trying to be accurate - can't do it by hand/eye. Thanx!

Link to comment
Share on other sites

What type of trapezoid?

 

I thought that a trapezoid was a trapezoid (trapezium), or have I been doing it wrong all these years :shock:

 

But that one is an isosceles trapezoid

Link to comment
Share on other sites

Yes, you would be correct, sir. Sorry about that - I guess that's why a picture is worth a thousand words! Anyway, I digress, I'm using autocad to more accurately design small structures I build for a wargame I play. I'm trying to build what looks like the lower half a pyramid - probably the best way to describe it. I've already made it in autocad but I had to eyeball the isosceles trapezoid aB angles which I didn't like doing. I love the command line - it's so darn accurate. I'd much rather say make aB 40 degrees and leg a 2 units long. Thanx!!

Link to comment
Share on other sites

Here is how I would do it.

 

First draw the base line C-D. Then I would draw the line AD using the known angle and distance. Then Mirror the line AD about the mid point of the line CD, to give BC. Then draw the line AB.

 

There are plenty of ways to draw it, so try a few other suggestions. But you do not need to go for trigonometry.

IsoscelesTrapezium.JPG

Link to comment
Share on other sites

Yeah, I guess what I'm looking for is a way to, after having drawn line C-D to then use the command line to design D-A by entering the preferred angle of CDA and the length of D-A on the command line. Just seems like that's something autocad should be able to do.

Link to comment
Share on other sites

You draw the line DA by using relative polar coordinates from D.

 

AutoCAD can do it, you only have to give precise instructions.

Link to comment
Share on other sites

ah, okdoke. Yeah, I read a section in my autocad bible on polar coordinates but I'm at work so I couldn't play with that but now that you mention it that does seem like what you would use polar coordinates for - thanks!

Link to comment
Share on other sites

You should use the parametric and geometric constraints for this. Basically you draw a rectangle any size, apply horizontal constraints to the two horizontal lines, apply coincident constraints on the end points, finally apply parametric angle dimensions to the two angles.

 

Apply a linear dimension to the longest line, and as you change that dimension the trapezoid will adjust along with that change.

Link to comment
Share on other sites

Isn't AutoCAD marvellous nowadays.

 

You can spend half a minute drawing from basics, or spend five minutes sorting out parametric and geometric constraints. That is progress :unsure:

Link to comment
Share on other sites

An AutoLISP solution:

;;; Draw Isosceles Trapezoid (26-IV-2013)
(defun c:DIT( / point1st point2nd point3rd point4th sizeBottom sizeTop sizeSlope theAngle )
(if (and (setq point1st   (getpoint "\nInsertion point: "))
         (setq sizeBottom (getreal  "\nAperture at bottom: "))
         (setq sizeTop    (getreal  "\nAperture at top: "))
         (setq sizeSlope  (getreal  "\nSize on slope: "))
         (< sizeBottom (+ sizeTop (* 2 sizeSlope))))
 (progn
  (setq theAngle (/ (* 0.5 (- sizeBottom sizeTop)) sizeSlope)
        theAngle (atan (sqrt (- 1.0 (expt theAngle 2.0))) theAngle))
  (setq point2nd (polar point1st theAngle sizeSlope)
        point3rd (polar point2nd 0.0 sizeTop)
        point4th (polar point1st 0.0 sizeBottom))

  (command "_PLINE" "_non" point1st "_non" point2nd "_non" point3rd "_non" point4th "_C")
 )
)
(princ)
)

Link to comment
Share on other sites

Draw a triangle and chop the top off of it. Couldn't get much easier.

 

Did you know you can enter distance an angles right at the command line too in AutoCAD even if it is the 2013 version?

Link to comment
Share on other sites

I think you should look into Geometry Constraints on the Parameters tab and parametric dimensions.

 

oops, I didn't see second page.

I see rkent has already made this suggestion.

 

and once you understand constraints it surely doesn't take 5 minutes to solve a problem like this, in fact, AutoCAD will to the constraints for you.

Link to comment
Share on other sites

I think you should look into Geometry Constraints on the Parameters tab and parametric dimensions.

and once you understand constraints it surely doesn't take 5 minutes to solve a problem like this, in fact, AutoCAD will to the constraints for you.

 

I decided this was simple enough for me to take a look at regarding Constraints. I like the approach and think it worthy of recommendation. I may even be incorporating them now that I've actually tried them. But I guess I'm a bit slow here, because I really don't see how AutoCAD would do all of the constraints for you in this case. :? I only found some of what I needed under Geometry Constraints. I didn't see any AutoConstrain option for the Parametric Dimensions. Nor did I find an Angular option under Geometry. Also, it seems to me that you need an Aligned Parametric Dimension for one side and for the base, since these are the values the OP wants to change. If these additional AutoConstrain options are actually available (in AutoCAD 12), I'd like to get in on it. In any case, it didn't take long at all to get the hang of what to do for this simple trapezoid problem.:D

Link to comment
Share on other sites

I decided this was simple enough for me to take a look at regarding Constraints. I like the approach and think it worthy of recommendation. I may even be incorporating them now that I've actually tried them. But I guess I'm a bit slow here, because I really don't see how AutoCAD would do all of the constraints for you in this case. :? I only found some of what I needed under Geometry Constraints. I didn't see any AutoConstrain option for the Parametric Dimensions. Nor did I find an Angular option under Geometry. Also, it seems to me that you need an Aligned Parametric Dimension for one side and for the base, since these are the values the OP wants to change. If these additional AutoConstrain options are actually available (in AutoCAD 12), I'd like to get in on it. In any case, it didn't take long at all to get the hang of what to do for this simple trapezoid problem.:D

 

I didn't use any Inferred constraints, just all manual. It takes longer to describe than to actually apply, once applied then any value can be changed and the whole thing adjusts accordingly.

 

Drew a rectangle at a random size, applied horizontal cons. for the top and bottom lines, used the parametric dimension angular on one of the angles, applied it on another angle and set the value to ang4 = ang3, applied a parametric linear dim to the bottom line, applied a parametric aligned dim to one leg.

 

Your question was directed to JD but I have gotten this far so this is my take on this.

trapeziod.png

Link to comment
Share on other sites

Thanks, rkent. Very nice! While my post was mainly in response to JD's, I'm usually not particular who solves the problem. Your solution is pretty close to what I had. You can get there part way with Autoconstrain, but you still have to add the parametric dimensions manually, AFAICT. If you want to be able to rotate the trapezoid, then you can replace the horizontal constraints with parallel ones (top and base to each other). From other posts/threads, I suspect that Inventor is much more versatile and powerful. In any case, I like the dimensional constraints. Just type in a new value and the object stretches to match. Sounds like the perfect solution for the OP.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...